XPP(1)

NAME
xpp - X Printing Panel

SYNOPSIS
xpp [options] [files] ...

DESCRIPTION
This manual page briefly documents the xpp command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

xpp (the X Printing Panel) is a graphical interface to the CUPS printing system. It can be used as a drop-in replacement for lpr(1) or lp(1) for programs that want to spool print jobs, or to print files directly from the command line.

OPTIONS
The following options are recognized by xpp:

-d destination

-P destination
    Prints files to the named destination queue.

-# copies
    Sets the number of copies to print from 1 to 100.

-C name
    Sets the job name.

-J name
    Sets the job name.

-t name

-T name
    Sets the job name.

-l
    Specifies that the print file is already formatted for the destination and should be sent without filtering. This option is equivalent to "-oraw".

-o option
    Sets a job option.

-p
    Specifies that the print file should be formatted with a shaded header with the date, time, job name, and page number. This option is equivalent to "-oprettyprint" and is only useful when printing text files.

-r
    Specifies that the named print files should be deleted after printing them.

-q priority
    Specify the priority of the print job (from 1 to 100).

COMPATIBILITY
The "c", "d", "f", "g", "i", "m", "v", and "w" options are not supported by XPP and will produce a warning message if used.

SEE ALSO
lp(1),lpr(1),cupsd(8)

AUTHOR
The X Printing Panel was written by Till Kamppeter <till.kamppeter@gmx.net> This manual page was written by Chris Lawrence <lawrencc@debian.org>, for the Debian GNU/Linux system (but may be used by others). The OPTIONS section was borrowed from the manual page for lpr(1).